Subject: Re: bug#78894: 29.3; DIRED OUTPUT

From: Burak Bayramli <[email-masked]>
Date: Thu, 26 Jun 2025 08:31:27 +0300

The problem did go away. Very cool.

Note: I did load-file inside .emacs, M-x load-file on the prompt did not
pick up the change for some reason, but anyway

On Thu, Jun 26, 2025 at 7:53 AM Eli Zaretskii <[email-masked]> wrote:

> > From: Burak Bayramli <[email-masked]>
> > Date: Wed, 25 Jun 2025 19:50:16 +0300
> > Cc: [email-masked]
> >
> > Hi, I applied your patch to the Emacs source on my installation
> > (29.3), under /usr/share/emacs/29.3/lisp/files.el.gz, I copied this
> > file under a seperate directory, outside git, and I did
> >
> > ```
> > patch -p1 lisp/files.el e1.patch
> > ```
> >
> > I get
> >
> > ```
> > patching file lisp/files.el
> > Hunk #1 FAILED at 8288.
> > Hunk #2 FAILED at 8328.
> > Hunk #3 FAILED at 8471.
> > 3 out of 3 hunks FAILED -- saving rejects to file lisp/files.el.rej
> > ```
> >
> > I am not a regular contributor, I'm not sure I used the right command
>
> I attach below the file files.el already patched with the changes.
>
> You will need to manually load the file after starting the session,
> like this:
>
>   M-x load-file RET /path/to/patched-files.el RET
>
> Then run Dired and see if the problem went away.
>
>